{
  http://wiki.freepascal.org/AVR_Embedded_Tutorial_-_Simple_GPIO_on_and_off_output/de
  Weiter unten
}

unit avr_gripo;

{$mode objfpc}

interface

procedure ModePortB(Pin: byte; Value: Boolean);
procedure WritePortB(Pin: byte; Value: Boolean);
procedure mysleep(t: int32);

implementation

procedure mysleep(t: int32);
var
  i: Int32;
begin
  for i := 0 to t do begin
    asm
      nop;
    end;
  end;
end;

procedure ModePortB(Pin: byte; Value: Boolean);
begin
  if Value then begin
    DDRB := DDRB or (1 shl Pin);
  end else begin
    DDRB := DDRB and not (1 shl Pin);
  end;
end;

procedure WritePortB(Pin: byte; Value: Boolean);
begin
  if Value then begin
    PORTB := PORTB or (1 shl Pin);
  end else begin
    PORTB := PORTB and not (1 shl Pin);
  end;
end;

end.

